Opened 4 years ago

Closed 4 years ago

#12500 closed Bug Report - General (Fixed)

mthtv-frontend won't install under Ubuntu 15.10

Reported by: paul@… Owned by:
Priority: major Milestone: 0.28
Component: Packaging Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Under Ubuntu 15.10, mythtv-frontend has a dependency on udisks, which is no longer supported or provided (udisks2 is instead), so mythtv-frontend fails to install with unmet dependencies

Change History (6)

comment:1 Changed 4 years ago by Stuart Auchterlonie

Component: MythTV - GeneralPackaging
Milestone: unknown0.28

comment:2 Changed 4 years ago by superm1@…

I think this is more than just a packaging change. Udisks2 has a few different interfaces that are used. So mythtv/libs/libmyth/mediamonitor-unix.cpp will probably need some updates too.

comment:3 Changed 4 years ago by superm1@…

I've fixed up the packaging to not make this strictly required. Master will need to add udisks2 support at some point too for that half of the bug.

master: https://github.com/MythTV/packaging/commit/46ca284669c33bb0d7315c3e2916125ed24ab414

fixes/0.27: https://github.com/MythTV/packaging/commit/fcc99fc2b1418202fb5468be58dfe5264ae4ff36

comment:4 Changed 4 years ago by Stuart Auchterlonie

We will work on the udisks2 support as part of #12307

comment:5 Changed 4 years ago by superm1@…

Ok, I think this ticket can be closed then with those two commits.

comment:6 Changed 4 years ago by Stuart Auchterlonie

Resolution: Fixed
Status: newclosed
Version: UnspecifiedMaster Head
Note: See TracTickets for help on using tickets.